Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.export
Interface GraphicWriter

All Known Implementing Classes:
  AbstractGraphicWriter, EMFWriter, FreeHEPWriter, JPEGWriter, PDFWriter, PNGWriter, SVGTranscodeWriter, SVGWriter, TIFFWriter

    public interface GraphicWriter

Field Summary
`static java.lang.String` | `KEY_DIMENSIONS_IN_PIXELS`
`static java.lang.String` | `KEY_HEIGHT`
`static java.lang.String` | `KEY_PIXELS_PER_MILLIMETER`
`static java.lang.String` | `KEY_TRANSPARENT`
`static java.lang.String` | `KEY_WIDTH`

Method Summary
`void` | `write(Document document, TreePainter painter, GraphicWriterHints hints, java.io.File file)`
`void` | `write(Document document, TreePainter painter, GraphicWriterHints hints, java.io.OutputStream stream)`

Field Detail

### KEY_PIXELS_PER_MILLIMETER

    static final java.lang.String KEY_PIXELS_PER_MILLIMETER

See Also:
  Constant Field Values

### KEY_WIDTH

    static final java.lang.String KEY_WIDTH

See Also:
  Constant Field Values

### KEY_HEIGHT

    static final java.lang.String KEY_HEIGHT

See Also:
  Constant Field Values

### KEY_DIMENSIONS_IN_PIXELS

    static final java.lang.String KEY_DIMENSIONS_IN_PIXELS

See Also:
  Constant Field Values

### KEY_TRANSPARENT

    static final java.lang.String KEY_TRANSPARENT

See Also:
  Constant Field Values

Method Detail

### write

    void write(Document document,
               TreePainter painter,
               GraphicWriterHints hints,
               java.io.OutputStream stream)

### write

    void write(Document document,
               TreePainter painter,
               GraphicWriterHints hints,
               java.io.File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD